Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 11-10-02, 04:37 PM   #1
linolium
Horrible Man
 
Join Date: Oct 2002
Posts: 11
Send a message via ICQ to linolium Send a message via AIM to linolium Send a message via Yahoo to linolium
Default NVidia kernel 2314

So.. I can ping localhost, 127.0.0.1, and linbox (my hostname). I tried going to the next version up from 1541, 2313/2314. I installed the GLX fine, but the kernel one screwed up. Here is what it said:

root@linbox:/pkgs/src/NVIDIA_kernel-1.0-2314# make
rm -f nv.o os-interface.o os-registry.o Module-linux nv_compiler.h
NVdriver
/bin/sh: -c: line 1: syntax error near unexpected token `)'
/bin/sh: -c: line 1: `if [ -z 1 ]; then if [ 3.2) != 3.2 ]; then echo
"
"; echo "You appear
to be compiling the NVdriver kernel module with "; echo "a compiler
different from the one that was used to compile "; echo "the running
kernel. This may be perfectly fine, but there "; echo "are cases where
this can lead to unexpected behaviour and "; echo "system crashes.
";
echo " ";
echo "If you know what you are doing and want to override this ";
echo "check, you can
do so by setting IGNORE_CC_MISMATCH. "; echo "
"; echo "In any other case, set the CC
environment variable to the "; echo "name of the compiler that was
used to compile the kernel. "; echo "
"; echo -en "\033[1;31m"; echo -e "*** Failed cc sanity check.
Bailing out! ***"; echo -en "\033[0m"; exit 1; fi fi'
make: *** [gcc-check] Error 2
root@linbox:/pkgs/src/NVIDIA_kernel-1.0-2314#


What has happened?!? Whats wrong!? Please help..

PS: This is sort of a follow-up from http://www.nvnews.net/vbulletin/show...7227#post37227
linolium is offline   Reply With Quote
Old 11-10-02, 04:44 PM   #2
Soul-Crusher
Leadtek 6800GT
 
Join Date: Aug 2002
Location: Albuquerque, NM, USA
Posts: 195
Send a message via ICQ to Soul-Crusher Send a message via AIM to Soul-Crusher Send a message via Yahoo to Soul-Crusher
Default

It means just what it says. Either you should use the same version of GCC your kernel was compiled with, recompile your kernel, or compile the nVidia module with IGNORE_CC_MISMATCH.
__________________
"Floating in a dream-like state, I am the emporer of a parallel universe." --Arch Enemy
My xorg.conf file
Soul-Crusher is offline   Reply With Quote
Old 11-10-02, 05:56 PM   #3
bwkaz
Registered User
 
Join Date: Sep 2002
Posts: 2,262
Default

Why don't you just use the newest driver, 3123?

I really don't think your problem is the GCC sanity check. The script is syntax erroring before that check (actually, just before it tries the version test).

Even more incriminating is the actual test line:

/bin/sh: -c: line 1: `if [ -z 1 ]; then if [ 3.2) != 3.2 ]; then echo

Note the "3.2) != 3.2" part there? Those are both gcc versions, and probably the gcc version that you have installed. That line is the test for whether /proc/version and cc -v match, and it seems they do, with the exception of the close-paren that shouldn't be there.

I think if you try the 3123 drivers you might have better luck.
__________________
Registered Linux User #219692
bwkaz is offline   Reply With Quote
Old 11-10-02, 06:35 PM   #4
linolium
Horrible Man
 
Join Date: Oct 2002
Posts: 11
Send a message via ICQ to linolium Send a message via AIM to linolium Send a message via Yahoo to linolium
Default

/bin/sh: -c: line 1: `if [ -z 1 ]; then if [ 3.2) != 3.2 ]; then echo

hmm... maybe the ) its talking about is right after the first 3.2 in the if. Ill try editing that out. And the reason im using this version is because im trying to get rid of the delay.
linolium is offline   Reply With Quote
Old 11-11-02, 02:30 PM   #5
linolium
Horrible Man
 
Join Date: Oct 2002
Posts: 11
Send a message via ICQ to linolium Send a message via AIM to linolium Send a message via Yahoo to linolium
Default

i managed to install the drivers... and now i have only an 8 second delay! woohoo.... is there anyway to make it even shorter?
linolium is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
upgrade to xorg server 1.13 damaged Geforce 7300 GT KDE NVIDIA Linux 2 09-07-12 08:04 AM
Fatal upgrade: from bad (8800 GTS) to worse 9GTX 560 Ti) ssnyder NVIDIA Linux 1 07-01-12 08:14 PM
Corrupted display - 302.17 - Dell Precision T3500 (G98 [Quadro NVS 295]) gbailey NVIDIA Linux 1 06-27-12 10:24 AM
UEFI+Nvidia - NVRM: Your system is not currently configured to drive a VGA console... interzoneuk NVIDIA Linux 0 06-26-12 04:51 AM
xorg locks-up with newest nvidia drivers w/ vdpau. theroot NVIDIA Linux 1 06-24-12 11:04 AM

All times are GMT -5. The time now is 06:42 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.